EMF::EMRENDPATH Class Reference

EMF End Path. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRENDPATH:

## Public Member Functions

| EMRENDPATH (void)
| EMRENDPATH (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF End Path.

End the current path definition.

## Constructor & Destructor Documentation

## EMRENDPATH() [1/2]

EMF::EMRENDPATH::EMRENDPATH | ( | void |  | ) |

inline

Create an End Path record.

References EMRENDPATH().

Referenced by EMRENDPATH().

## EMRENDPATH() [2/2]

EMF::EMRENDPATH::EMRENDPATH | ( | DATASTREAM & | ds | ) |

inline

Construct an EndPath record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRENDPATH::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRENDPATH::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRENDPATH::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h